Block a user
curl --request POST \
--url https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/block \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "Suspicious activity detected on multiple transactions"
}
'import requests
url = "https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/block"
payload = { "reason": "Suspicious activity detected on multiple transactions" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Suspicious activity detected on multiple transactions'})
};
fetch('https://raas-widgets-backend-sandbox.up.railway.app/partner/users/{userId}/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"userId": "user_acme_x1y2z3",
"blocked": true,
"blockedAt": "2026-02-10T15:00:00.000Z",
"blockedReason": "Suspicious activity detected"
}
}Partner - Users
Block a user
Blocks a user, preventing them from receiving new magic links or completing transfers. Optionally provide a reason for the block. Blocked users can be unblocked later.
POST
/
partner
/
users
/
{userId}
/
block
Block a user
Authorizations
Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.
Path Parameters
M2M user identifier
Example:
"user_acme_x1y2z3"
Body
application/json
Human-readable reason for blocking the user. Stored for audit purposes and returned in user detail responses. Max 500 characters.
Example:
"Suspicious activity detected on multiple transactions"
⌘I